package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.PasscodePolicy;

import java.util.List;

@ApiModel(value = "PasscodePolicyBeanWrapper",
        description = "Information related to Passcode policy.")
public class PasscodePolicyBeanWrapper {

    @ApiModelProperty(name = "deviceIDs",
            value = "List of device Ids to be need to execute passcode policy.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation",
            value = "Passcode policy.", required = true)
    private PasscodePolicy operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public PasscodePolicy getOperation() {
        return operation;
    }

    public void setOperation(PasscodePolicy operation) {
        this.operation = operation;
    }
}
